diff --git a/arch/arm/cpu/armv7/s5p-common/cpu_info.c b/arch/arm/cpu/armv7/s5p-common/cpu_info.c
index d910282e2b2..fb2920950d4 100644
--- a/arch/arm/cpu/armv7/s5p-common/cpu_info.c
+++ b/arch/arm/cpu/armv7/s5p-common/cpu_info.c
@@ -4,6 +4,7 @@
  * Minkyu Kang <mk7.kang@samsung.com>
  */
 #include <common.h>
+#include <display_options.h>
 #include <fdtdec.h>
 #include <init.h>
 #include <asm/global_data.h>
diff --git a/arch/arm/mach-at91/arm926ejs/eflash.c b/arch/arm/mach-at91/arm926ejs/eflash.c
index 23c24936edf..ef579e6089c 100644
--- a/arch/arm/mach-at91/arm926ejs/eflash.c
+++ b/arch/arm/mach-at91/arm926ejs/eflash.c
@@ -43,6 +43,7 @@
  * do a read-modify-write for partially programmed pages
  */
 #include <common.h>
+#include <display_options.h>
 #include <flash.h>
 #include <log.h>
 #include <asm/io.h>
diff --git a/arch/arm/mach-imx/hab.c b/arch/arm/mach-imx/hab.c
index d0757d8b66a..7510735bf46 100644
--- a/arch/arm/mach-imx/hab.c
+++ b/arch/arm/mach-imx/hab.c
@@ -6,6 +6,7 @@
 #include <common.h>
 #include <command.h>
 #include <config.h>
+#include <display_options.h>
 #include <fuse.h>
 #include <mapmem.h>
 #include <image.h>
diff --git a/arch/powerpc/cpu/mpc85xx/cpu.c b/arch/powerpc/cpu/mpc85xx/cpu.c
index 5170610f041..d35c9780172 100644
--- a/arch/powerpc/cpu/mpc85xx/cpu.c
+++ b/arch/powerpc/cpu/mpc85xx/cpu.c
@@ -11,6 +11,7 @@
 #include <config.h>
 #include <common.h>
 #include <cpu_func.h>
+#include <display_options.h>
 #include <init.h>
 #include <irq_func.h>
 #include <log.h>
diff --git a/arch/powerpc/cpu/mpc85xx/cpu_init.c b/arch/powerpc/cpu/mpc85xx/cpu_init.c
index e0f0f7ecda6..fcc2c7be31a 100644
--- a/arch/powerpc/cpu/mpc85xx/cpu_init.c
+++ b/arch/powerpc/cpu/mpc85xx/cpu_init.c
@@ -10,6 +10,7 @@
  */
 
 #include <common.h>
+#include <display_options.h>
 #include <env.h>
 #include <init.h>
 #include <net.h>
diff --git a/arch/powerpc/cpu/mpc85xx/tlb.c b/arch/powerpc/cpu/mpc85xx/tlb.c
index 973b6fbe4b7..927df4e5b66 100644
--- a/arch/powerpc/cpu/mpc85xx/tlb.c
+++ b/arch/powerpc/cpu/mpc85xx/tlb.c
@@ -7,6 +7,7 @@
  */
 
 #include <common.h>
+#include <display_options.h>
 #include <asm/bitops.h>
 #include <asm/global_data.h>
 #include <asm/processor.h>
diff --git a/arch/powerpc/cpu/mpc86xx/cpu.c b/arch/powerpc/cpu/mpc86xx/cpu.c
index 98b42bff7a3..05160778566 100644
--- a/arch/powerpc/cpu/mpc86xx/cpu.c
+++ b/arch/powerpc/cpu/mpc86xx/cpu.c
@@ -7,6 +7,7 @@
 
 #include <common.h>
 #include <cpu_func.h>
+#include <display_options.h>
 #include <log.h>
 #include <time.h>
 #include <vsprintf.h>
diff --git a/arch/powerpc/cpu/mpc8xx/cpu.c b/arch/powerpc/cpu/mpc8xx/cpu.c
index 893aecef21c..f79a06d19a2 100644
--- a/arch/powerpc/cpu/mpc8xx/cpu.c
+++ b/arch/powerpc/cpu/mpc8xx/cpu.c
@@ -18,6 +18,7 @@
 
 #include <common.h>
 #include <cpu_func.h>
+#include <display_options.h>
 #include <net.h>
 #include <time.h>
 #include <vsprintf.h>
diff --git a/arch/powerpc/cpu/mpc8xxx/law.c b/arch/powerpc/cpu/mpc8xxx/law.c
index cf03f410190..ff4b878aa9c 100644
--- a/arch/powerpc/cpu/mpc8xxx/law.c
+++ b/arch/powerpc/cpu/mpc8xxx/law.c
@@ -7,6 +7,7 @@
  */
 
 #include <common.h>
+#include <display_options.h>
 #include <asm/bitops.h>
 #include <asm/global_data.h>
 #include <linux/compiler.h>
diff --git a/arch/x86/cpu/broadwell/refcode.c b/arch/x86/cpu/broadwell/refcode.c
index 6c04dde992d..1e0a34de0c8 100644
--- a/arch/x86/cpu/broadwell/refcode.c
+++ b/arch/x86/cpu/broadwell/refcode.c
@@ -7,6 +7,7 @@
  */
 
 #include <common.h>
+#include <display_options.h>
 #include <errno.h>
 #include <init.h>
 #include <log.h>
diff --git a/board/corscience/tricorder/tricorder-eeprom.c b/board/corscience/tricorder/tricorder-eeprom.c
index 192af304d9f..d0b91864c27 100644
--- a/board/corscience/tricorder/tricorder-eeprom.c
+++ b/board/corscience/tricorder/tricorder-eeprom.c
@@ -6,6 +6,7 @@
  */
 #include <common.h>
 #include <command.h>
+#include <display_options.h>
 #include <eeprom.h>
 #include <i2c.h>
 #include <u-boot/crc.h>
diff --git a/board/freescale/ls1028a/ls1028a.c b/board/freescale/ls1028a/ls1028a.c
index f3c1d958b72..984883bb00f 100644
--- a/board/freescale/ls1028a/ls1028a.c
+++ b/board/freescale/ls1028a/ls1028a.c
@@ -4,6 +4,7 @@
  */
 
 #include <common.h>
+#include <display_options.h>
 #include <init.h>
 #include <malloc.h>
 #include <errno.h>
diff --git a/board/freescale/ls1088a/ls1088a.c b/board/freescale/ls1088a/ls1088a.c
index 2ba6a3990d9..41453709eac 100644
--- a/board/freescale/ls1088a/ls1088a.c
+++ b/board/freescale/ls1088a/ls1088a.c
@@ -3,6 +3,7 @@
  * Copyright 2017-2018 NXP
  */
 #include <common.h>
+#include <display_options.h>
 #include <env.h>
 #include <i2c.h>
 #include <init.h>
diff --git a/board/freescale/ls2080a/ls2080a.c b/board/freescale/ls2080a/ls2080a.c
index 48437a52e40..020e7bfcb5c 100644
--- a/board/freescale/ls2080a/ls2080a.c
+++ b/board/freescale/ls2080a/ls2080a.c
@@ -3,6 +3,7 @@
  * Copyright 2014 Freescale Semiconductor
  */
 #include <common.h>
+#include <display_options.h>
 #include <init.h>
 #include <malloc.h>
 #include <errno.h>
diff --git a/board/freescale/ls2080aqds/ls2080aqds.c b/board/freescale/ls2080aqds/ls2080aqds.c
index a6f6897eb09..3ab93388724 100644
--- a/board/freescale/ls2080aqds/ls2080aqds.c
+++ b/board/freescale/ls2080aqds/ls2080aqds.c
@@ -3,6 +3,7 @@
  * Copyright 2015 Freescale Semiconductor
  */
 #include <common.h>
+#include <display_options.h>
 #include <env.h>
 #include <init.h>
 #include <malloc.h>
diff --git a/board/freescale/ls2080ardb/ls2080ardb.c b/board/freescale/ls2080ardb/ls2080ardb.c
index 26ce5a80edf..a6ece49c01e 100644
--- a/board/freescale/ls2080ardb/ls2080ardb.c
+++ b/board/freescale/ls2080ardb/ls2080ardb.c
@@ -4,6 +4,7 @@
  * Copyright 2017 NXP
  */
 #include <common.h>
+#include <display_options.h>
 #include <env.h>
 #include <init.h>
 #include <malloc.h>
diff --git a/board/freescale/lx2160a/lx2160a.c b/board/freescale/lx2160a/lx2160a.c
index efd2a5c40e1..1d781841c40 100644
--- a/board/freescale/lx2160a/lx2160a.c
+++ b/board/freescale/lx2160a/lx2160a.c
@@ -5,6 +5,7 @@
 
 #include <common.h>
 #include <clock_legacy.h>
+#include <display_options.h>
 #include <dm.h>
 #include <init.h>
 #include <asm/global_data.h>
diff --git a/board/freescale/mpc8541cds/mpc8541cds.c b/board/freescale/mpc8541cds/mpc8541cds.c
index 5b4fbd5e304..3986d81c62d 100644
--- a/board/freescale/mpc8541cds/mpc8541cds.c
+++ b/board/freescale/mpc8541cds/mpc8541cds.c
@@ -6,6 +6,7 @@
  */
 
 #include <common.h>
+#include <display_options.h>
 #include <init.h>
 #include <pci.h>
 #include <vsprintf.h>
diff --git a/board/freescale/mpc8548cds/mpc8548cds.c b/board/freescale/mpc8548cds/mpc8548cds.c
index a1a9742bfa4..fd51c0e8018 100644
--- a/board/freescale/mpc8548cds/mpc8548cds.c
+++ b/board/freescale/mpc8548cds/mpc8548cds.c
@@ -6,6 +6,7 @@
  */
 
 #include <common.h>
+#include <display_options.h>
 #include <init.h>
 #include <net.h>
 #include <pci.h>
diff --git a/board/freescale/mpc8555cds/mpc8555cds.c b/board/freescale/mpc8555cds/mpc8555cds.c
index 3bb8e769c80..d91763ae800 100644
--- a/board/freescale/mpc8555cds/mpc8555cds.c
+++ b/board/freescale/mpc8555cds/mpc8555cds.c
@@ -4,6 +4,7 @@
  */
 
 #include <common.h>
+#include <display_options.h>
 #include <init.h>
 #include <pci.h>
 #include <vsprintf.h>
diff --git a/board/freescale/mpc8568mds/mpc8568mds.c b/board/freescale/mpc8568mds/mpc8568mds.c
index 7b379464cd5..1acdf93e4d7 100644
--- a/board/freescale/mpc8568mds/mpc8568mds.c
+++ b/board/freescale/mpc8568mds/mpc8568mds.c
@@ -6,6 +6,7 @@
  */
 
 #include <common.h>
+#include <display_options.h>
 #include <flash.h>
 #include <init.h>
 #include <log.h>
diff --git a/board/gdsys/p1022/controlcenterd-id.c b/board/gdsys/p1022/controlcenterd-id.c
index 1b5aa9042f5..495ef8e1f83 100644
--- a/board/gdsys/p1022/controlcenterd-id.c
+++ b/board/gdsys/p1022/controlcenterd-id.c
@@ -13,6 +13,7 @@
 #include <common.h>
 #include <bootstage.h>
 #include <command.h>
+#include <display_options.h>
 #include <dm.h>
 #include <env.h>
 #include <hang.h>
diff --git a/board/kosagi/novena/novena.c b/board/kosagi/novena/novena.c
index 0e1b4a0a46c..815ecf55c4d 100644
--- a/board/kosagi/novena/novena.c
+++ b/board/kosagi/novena/novena.c
@@ -6,6 +6,7 @@
  */
 
 #include <common.h>
+#include <display_options.h>
 #include <dm.h>
 #include <eeprom.h>
 #include <init.h>
diff --git a/board/sbc8548/sbc8548.c b/board/sbc8548/sbc8548.c
index bd4b528d03f..13a66507ffc 100644
--- a/board/sbc8548/sbc8548.c
+++ b/board/sbc8548/sbc8548.c
@@ -10,6 +10,7 @@
  */
 
 #include <common.h>
+#include <display_options.h>
 #include <init.h>
 #include <log.h>
 #include <net.h>
diff --git a/cmd/acpi.c b/cmd/acpi.c
index 126d6d3bc99..6fa61c5fb89 100644
--- a/cmd/acpi.c
+++ b/cmd/acpi.c
@@ -5,6 +5,7 @@
  */
 #include <common.h>
 #include <command.h>
+#include <display_options.h>
 #include <mapmem.h>
 #include <acpi/acpi_table.h>
 #include <asm/acpi_table.h>
diff --git a/cmd/axi.c b/cmd/axi.c
index c9d53c049e8..36508223c34 100644
--- a/cmd/axi.c
+++ b/cmd/axi.c
@@ -13,6 +13,7 @@
 #include <axi.h>
 #include <command.h>
 #include <console.h>
+#include <display_options.h>
 #include <dm.h>
 #include <log.h>
 
diff --git a/cmd/bcb.c b/cmd/bcb.c
index e03218066bf..81e099fbb1b 100644
--- a/cmd/bcb.c
+++ b/cmd/bcb.c
@@ -8,6 +8,7 @@
 #include <android_bootloader_message.h>
 #include <command.h>
 #include <common.h>
+#include <display_options.h>
 #include <log.h>
 #include <part.h>
 
diff --git a/cmd/cpu.c b/cmd/cpu.c
index ff553c16c4e..b3dd7e57449 100644
--- a/cmd/cpu.c
+++ b/cmd/cpu.c
@@ -8,6 +8,7 @@
 #include <common.h>
 #include <command.h>
 #include <cpu.h>
+#include <display_options.h>
 #include <dm.h>
 #include <errno.h>
 
diff --git a/cmd/fpgad.c b/cmd/fpgad.c
index fb2fe63e78a..89b34f86425 100644
--- a/cmd/fpgad.c
+++ b/cmd/fpgad.c
@@ -11,6 +11,7 @@
 #include <common.h>
 #include <command.h>
 #include <console.h>
+#include <display_options.h>
 
 #include <gdsys_fpga.h>
 
diff --git a/cmd/io.c b/cmd/io.c
index c7e964153b8..dd770a20ce1 100644
--- a/cmd/io.c
+++ b/cmd/io.c
@@ -9,6 +9,7 @@
 
 #include <common.h>
 #include <command.h>
+#include <display_options.h>
 #include <asm/io.h>
 
 /* Display values from last command */
diff --git a/cmd/mem.c b/cmd/mem.c
index ad7b9bf702f..a9360860d2c 100644
--- a/cmd/mem.c
+++ b/cmd/mem.c
@@ -16,6 +16,7 @@
 #include <cli.h>
 #include <command.h>
 #include <console.h>
+#include <display_options.h>
 #include <flash.h>
 #include <hash.h>
 #include <log.h>
diff --git a/cmd/mmc.c b/cmd/mmc.c
index 1529a3e05dd..e3e75d0fc0e 100644
--- a/cmd/mmc.c
+++ b/cmd/mmc.c
@@ -8,6 +8,7 @@
 #include <blk.h>
 #include <command.h>
 #include <console.h>
+#include <display_options.h>
 #include <memalign.h>
 #include <mmc.h>
 #include <part.h>
diff --git a/cmd/rtc.c b/cmd/rtc.c
index b4f61b2e835..4ac49d228cb 100644
--- a/cmd/rtc.c
+++ b/cmd/rtc.c
@@ -2,6 +2,7 @@
 
 #include <common.h>
 #include <command.h>
+#include <display_options.h>
 #include <dm.h>
 #include <hexdump.h>
 #include <i2c.h>
diff --git a/cmd/sf.c b/cmd/sf.c
index c0d6a8f8a06..b3ff4b5773c 100644
--- a/cmd/sf.c
+++ b/cmd/sf.c
@@ -7,6 +7,7 @@
 
 #include <common.h>
 #include <command.h>
+#include <display_options.h>
 #include <div64.h>
 #include <dm.h>
 #include <flash.h>
diff --git a/cmd/version.c b/cmd/version.c
index 3686b873324..2c321a92f9b 100644
--- a/cmd/version.c
+++ b/cmd/version.c
@@ -6,6 +6,7 @@
 
 #include <common.h>
 #include <command.h>
+#include <display_options.h>
 #include <version.h>
 #include <linux/compiler.h>
 #ifdef CONFIG_SYS_COREBOOT
diff --git a/common/board_f.c b/common/board_f.c
index 9d9cfab80f0..f032549fb5f 100644
--- a/common/board_f.c
+++ b/common/board_f.c
@@ -16,6 +16,7 @@
 #include <console.h>
 #include <cpu.h>
 #include <cpu_func.h>
+#include <display_options.h>
 #include <dm.h>
 #include <env.h>
 #include <env_internal.h>
diff --git a/common/board_r.c b/common/board_r.c
index 3ac5d15728c..714a9137aba 100644
--- a/common/board_r.c
+++ b/common/board_r.c
@@ -13,6 +13,7 @@
 #include <api.h>
 #include <bootstage.h>
 #include <cpu_func.h>
+#include <display_options.h>
 #include <exports.h>
 #include <flash.h>
 #include <hang.h>
diff --git a/common/console.c b/common/console.c
index f0014b756e7..e18c0ee0d95 100644
--- a/common/console.c
+++ b/common/console.c
@@ -7,6 +7,7 @@
 #include <common.h>
 #include <console.h>
 #include <debug_uart.h>
+#include <display_options.h>
 #include <dm.h>
 #include <env.h>
 #include <stdarg.h>
diff --git a/common/image.c b/common/image.c
index 24dd06bf553..d8db73c82ba 100644
--- a/common/image.c
+++ b/common/image.c
@@ -10,6 +10,7 @@
 #include <common.h>
 #include <bootstage.h>
 #include <cpu_func.h>
+#include <display_options.h>
 #include <env.h>
 #include <lmb.h>
 #include <log.h>
diff --git a/common/splash.c b/common/splash.c
index 2b9313e03f1..e26b366cb23 100644
--- a/common/splash.c
+++ b/common/splash.c
@@ -21,6 +21,7 @@
  */
 
 #include <common.h>
+#include <display_options.h>
 #include <env.h>
 #include <splash.h>
 #include <lcd.h>
diff --git a/drivers/core/acpi.c b/drivers/core/acpi.c
index 7fe93992b5f..99c0da500eb 100644
--- a/drivers/core/acpi.c
+++ b/drivers/core/acpi.c
@@ -9,6 +9,7 @@
 #define LOG_CATEOGRY	LOGC_ACPI
 
 #include <common.h>
+#include <display_options.h>
 #include <dm.h>
 #include <log.h>
 #include <malloc.h>
diff --git a/drivers/cpu/bmips_cpu.c b/drivers/cpu/bmips_cpu.c
index 421cc7a9a4c..8419adb3cc3 100644
--- a/drivers/cpu/bmips_cpu.c
+++ b/drivers/cpu/bmips_cpu.c
@@ -9,6 +9,7 @@
 
 #include <common.h>
 #include <cpu.h>
+#include <display_options.h>
 #include <dm.h>
 #include <errno.h>
 #include <init.h>
diff --git a/drivers/ddr/fsl/main.c b/drivers/ddr/fsl/main.c
index 84139b85c33..f5299fe3111 100644
--- a/drivers/ddr/fsl/main.c
+++ b/drivers/ddr/fsl/main.c
@@ -10,6 +10,7 @@
  */
 
 #include <common.h>
+#include <display_options.h>
 #include <dm.h>
 #include <i2c.h>
 #include <fsl_ddr_sdram.h>
diff --git a/drivers/mmc/gen_atmel_mci.c b/drivers/mmc/gen_atmel_mci.c
index 9d20e283839..44c9f1288b3 100644
--- a/drivers/mmc/gen_atmel_mci.c
+++ b/drivers/mmc/gen_atmel_mci.c
@@ -10,6 +10,7 @@
 
 #include <common.h>
 #include <clk.h>
+#include <display_options.h>
 #include <dm.h>
 #include <log.h>
 #include <mmc.h>
diff --git a/drivers/mtd/onenand/onenand_uboot.c b/drivers/mtd/onenand/onenand_uboot.c
index 6893394e089..3a8c7b867eb 100644
--- a/drivers/mtd/onenand/onenand_uboot.c
+++ b/drivers/mtd/onenand/onenand_uboot.c
@@ -14,6 +14,7 @@
  */
 
 #include <common.h>
+#include <display_options.h>
 #include <linux/compat.h>
 #include <linux/mtd/mtd.h>
 #include <linux/mtd/onenand.h>
diff --git a/drivers/mtd/spi/sf_dataflash.c b/drivers/mtd/spi/sf_dataflash.c
index 27d847d4218..b1034ac2086 100644
--- a/drivers/mtd/spi/sf_dataflash.c
+++ b/drivers/mtd/spi/sf_dataflash.c
@@ -7,6 +7,7 @@
  */
 
 #include <common.h>
+#include <display_options.h>
 #include <dm.h>
 #include <errno.h>
 #include <fdtdec.h>
diff --git a/drivers/mtd/spi/spi-nor-core.c b/drivers/mtd/spi/spi-nor-core.c
index fdcd830ce41..36478a61fd9 100644
--- a/drivers/mtd/spi/spi-nor-core.c
+++ b/drivers/mtd/spi/spi-nor-core.c
@@ -10,6 +10,7 @@
  */
 
 #include <common.h>
+#include <display_options.h>
 #include <log.h>
 #include <dm/device_compat.h>
 #include <dm/devres.h>
diff --git a/drivers/net/xilinx_axi_emac.c b/drivers/net/xilinx_axi_emac.c
index 65abc7d1834..2a2e0585a34 100644
--- a/drivers/net/xilinx_axi_emac.c
+++ b/drivers/net/xilinx_axi_emac.c
@@ -8,6 +8,7 @@
 #include <config.h>
 #include <common.h>
 #include <cpu_func.h>
+#include <display_options.h>
 #include <dm.h>
 #include <log.h>
 #include <net.h>
diff --git a/drivers/tpm/tpm_atmel_twi.c b/drivers/tpm/tpm_atmel_twi.c
index d9e4877c5c2..5489e728b6e 100644
--- a/drivers/tpm/tpm_atmel_twi.c
+++ b/drivers/tpm/tpm_atmel_twi.c
@@ -6,6 +6,7 @@
  */
 
 #include <common.h>
+#include <display_options.h>
 #include <dm.h>
 #include <tpm-v1.h>
 #include <i2c.h>
diff --git a/drivers/tpm/tpm_tis_sandbox.c b/drivers/tpm/tpm_tis_sandbox.c
index e167d0a2fe3..f35d6920442 100644
--- a/drivers/tpm/tpm_tis_sandbox.c
+++ b/drivers/tpm/tpm_tis_sandbox.c
@@ -4,6 +4,7 @@
  */
 
 #include <common.h>
+#include <display_options.h>
 #include <dm.h>
 #include <tpm-v1.h>
 #include <asm/state.h>
diff --git a/drivers/usb/gadget/pxa27x_udc.c b/drivers/usb/gadget/pxa27x_udc.c
index ba362b8f258..7c67c2e3b3e 100644
--- a/drivers/usb/gadget/pxa27x_udc.c
+++ b/drivers/usb/gadget/pxa27x_udc.c
@@ -9,6 +9,7 @@
 
 
 #include <common.h>
+#include <display_options.h>
 #include <asm/arch/hardware.h>
 #include <asm/byteorder.h>
 #include <asm/io.h>
diff --git a/fs/fs.c b/fs/fs.c
index fc21e69c3d2..16c54520251 100644
--- a/fs/fs.c
+++ b/fs/fs.c
@@ -5,6 +5,7 @@
 
 #include <command.h>
 #include <config.h>
+#include <display_options.h>
 #include <errno.h>
 #include <common.h>
 #include <env.h>
diff --git a/include/common.h b/include/common.h
index 71df59bca0e..25c317f4439 100644
--- a/include/common.h
+++ b/include/common.h
@@ -23,7 +23,6 @@
 #include <stdio.h>
 #include <linux/kernel.h>
 #include <asm/u-boot.h> /* boot information for Linux kernel */
-#include <display_options.h>
 #include <vsprintf.h>
 #endif	/* __ASSEMBLY__ */
 
diff --git a/include/display_options.h b/include/display_options.h
index a0dabca2b8a..990ea844ec2 100644
--- a/include/display_options.h
+++ b/include/display_options.h
@@ -19,6 +19,7 @@
  * @size:	Size to print
  * @suffix	String to print after the size
  */
+#include <display_options.h>
 void print_size(uint64_t size, const char *suffix);
 
 /**
diff --git a/lib/aes.c b/lib/aes.c
index c998aecb3c7..bc6d4dfd4e0 100644
--- a/lib/aes.c
+++ b/lib/aes.c
@@ -23,6 +23,7 @@
 
 #ifndef USE_HOSTCC
 #include <common.h>
+#include <display_options.h>
 #include <log.h>
 #else
 #include <string.h>
diff --git a/lib/display_options.c b/lib/display_options.c
index ea9977cc180..90e8ce54783 100644
--- a/lib/display_options.c
+++ b/lib/display_options.c
@@ -7,6 +7,7 @@
 #include <common.h>
 #include <compiler.h>
 #include <console.h>
+#include <display_options.h>
 #include <div64.h>
 #include <version.h>
 #include <linux/ctype.h>
diff --git a/lib/fdtdec.c b/lib/fdtdec.c
index 8fccb9e602a..c3724790a6e 100644
--- a/lib/fdtdec.c
+++ b/lib/fdtdec.c
@@ -6,6 +6,7 @@
 #ifndef USE_HOSTCC
 #include <common.h>
 #include <boot_fit.h>
+#include <display_options.h>
 #include <dm.h>
 #include <hang.h>
 #include <init.h>
diff --git a/net/nfs.c b/net/nfs.c
index 70d0e08bde9..8a3b04adcdc 100644
--- a/net/nfs.c
+++ b/net/nfs.c
@@ -28,6 +28,7 @@
 
 #include <common.h>
 #include <command.h>
+#include <display_options.h>
 #include <flash.h>
 #include <image.h>
 #include <log.h>
diff --git a/net/tftp.c b/net/tftp.c
index 664802f55a7..bffadd04ebd 100644
--- a/net/tftp.c
+++ b/net/tftp.c
@@ -8,6 +8,7 @@
 
 #include <common.h>
 #include <command.h>
+#include <display_options.h>
 #include <efi_loader.h>
 #include <env.h>
 #include <image.h>